<?php

add_action( 'admin_menu', 'mundana_add_admin_page' );

function mundana_add_admin_page() {
	$hook_suffix = add_menu_page( __( 'WFM Theme Options', 'mundana' ), __( 'WFMTheme', 'mundana' ), 'manage_options', 'mundana-options', 'mundana_create_page', get_template_directory_uri() . '/assets/img/moon.png' );

	add_action( "admin_print_scripts-{$hook_suffix}", 'mundana_admin_scripts' );
	add_action( 'admin_init', 'mundana_custom_settings' );
}

function mundana_custom_settings() {
	register_setting( 'mundana_general_group', 'main_post' );

	add_settings_section( 'mundana_general_section', __( 'Home page settings', 'mundana' ), '', 'mundana-options' );

	add_settings_field( 'main_post', __( 'Home article', 'mundana' ), 'mundana_general_main_post', 'mundana-options', 'mundana_general_section' );
}

function mundana_general_main_post() {
	$main_post_id = esc_attr( get_option( 'main_post' ) );
	?>

    <input type="text" id="main_post" class="regular-text">
    <input type="hidden" id="main_post_id" name="main_post" value="<?php echo $main_post_id ?>">

	<?php
}

function mundana_create_page() {
	require get_template_directory() . '/inc/templates/mundana-options.php';
}

function mundana_admin_scripts() {
	wp_enqueue_style( 'mundana-jquery-ui-style', 'https://ajax.googleapis.com/ajax/libs/jqueryui/1.13.1/themes/base/jquery-ui.css' );
	wp_enqueue_style( 'mundana-main-style', get_template_directory_uri() . '/assets/css/admin-main.css' );
	wp_enqueue_script( 'mundana-main-js', get_template_directory_uri() . '/assets/js/admin-main.js', array(
		'jquery',
		'jquery-ui-autocomplete'
	), false, true );
}

/**
 * AJAX functions
 */
add_action( 'wp_ajax_main_post_action', function () {

	$main_post_s = $_GET['term'];

	$result = [
		[
			'label' => 'Post 1',
			'id'    => 1,
		],
		[
			'label' => 'Post 2',
			'id'    => 2,
		],
	];

	echo json_encode( $result );
    wp_die();

} );
